> For the complete documentation index, see [llms.txt](https://docs.watchdata.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.watchdata.io/blockchain-apis/tron-api/dex-exchange/exchangetransaction.md).

# ExchangeTransaction

**Return**: Transaction object

**Body params**:

* `owner_address` - Trader's wallet address, in hex string format. This wallet contains the tokens you wish to sell, in order to gain the other token.
* `exchange_id` - Transaction Pair ID
* `token_id` - ID of the sold token, in hexString format. For example, if you wanted to trade TRX for another token, then the TRX id of "5f" goes in this parameter.
* `quant` - Quantity of the token being sold. If TRX being sold, need to express in units of SUN.
* `expected` - Expected quantity of the token being purchased.
* `permission_id` - Optional,for multi-signature use
* `visible` - Optional,whether the address is in base58 format

**Request**

```
curl --request POST \
     --url https://tron.api.watchdata.io/wallet/exchangetransaction \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --data '
{
     "owner_address": "4100776428620856AE1D71562812B734E356B68551",
     "exchange_id": 12,
     "token_id": "31303030343837",
     "quant": 100,
     "expected": 10,
     "permission_id": 0,
     "visible": true
}
'
```

**Response**

```
{
  "Error": "class java.lang.IllegalArgumentException : Illegal character 0 at 2"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.watchdata.io/blockchain-apis/tron-api/dex-exchange/exchangetransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
